# Uses of Class
java.util.BitSet

Packages that use BitSet
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of BitSet in java.util

Methods in java.util that return BitSet
Modifier and Type
Method
Description
`BitSet`
BitSet.`get​(int fromIndex, int toIndex)`
Returns a new `BitSet` composed of bits from this `BitSet` from `fromIndex` (inclusive) to `toIndex` (exclusive).
`static BitSet`
BitSet.`valueOf​(byte[] bytes)`
Returns a new bit set containing all the bits in the given byte array.
`static BitSet`
BitSet.`valueOf​(long[] longs)`
Returns a new bit set containing all the bits in the given long array.
`static BitSet`
BitSet.`valueOf​(ByteBuffer bb)`
Returns a new bit set containing all the bits in the given byte buffer between its position and limit.
`static BitSet`
BitSet.`valueOf​(LongBuffer lb)`
Returns a new bit set containing all the bits in the given long buffer between its position and limit.
Methods in java.util with parameters of type BitSet
Modifier and Type
Method
Description
`void`
BitSet.`and​(BitSet set)`
Performs a logical AND of this target bit set with the argument bit set.
`void`
BitSet.`andNot​(BitSet set)`
Clears all of the bits in this `BitSet` whose corresponding bit is set in the specified `BitSet`.
`boolean`
BitSet.`intersects​(BitSet set)`
Returns true if the specified `BitSet` has any bits set to `true` that are also set to `true` in this `BitSet`.
`void`
BitSet.`or​(BitSet set)`
Performs a logical OR of this bit set with the bit set argument.
`void`
BitSet.`xor​(BitSet set)`
Performs a logical XOR of this bit set with the bit set argument.

## Uses of BitSet in javax.swing.text.html.parser

Fields in javax.swing.text.html.parser declared as BitSet
Modifier and Type
Field
Description
`BitSet`
Element.`exclusions`
The set of elements that must not occur inside the element
`BitSet`
Element.`inclusions`
The set of elements that can occur inside the element
Methods in javax.swing.text.html.parser with parameters of type BitSet
Modifier and Type
Method
Description
`Element`
DTD.`defineElement​(String name, int type, boolean omitStart, boolean omitEnd, ContentModel content, BitSet exclusions, BitSet inclusions, AttributeList atts)`
Returns the `Element` which matches the specified parameters.